## open5gs 2.6.5

=== debian/changelog ===
open5gs (2.6.5) unstable; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:59:36 +0900

open5gs (2.6.5~lunar) lunar; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:56:38 +0900

open5gs (2.6.5~jammy) jammy; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:53:19 +0900

open5gs (2.6.5~focal) focal; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:51:35 +0900

open5gs (2.6.5~bionic) bionic; urgency=medium

  * Bug Fixes

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 02 Oct 2023 19:48:37 +0900

## open5gs 2.6.6

=== debian/changelog ===
open5gs (2.6.6) unstable; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 21:02:46 +0900

open5gs (2.6.6~lunar) lunar; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 21:00:28 +0900

open5gs (2.6.6~jammy) jammy; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 20:47:26 +0900

open5gs (2.6.6~focal) focal; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 20:45:45 +0900

open5gs (2.6.6~bionic) bionic; urgency=medium

  * Ubuntu 23.04(lunar) Release

 -- Sukchan Lee <acetcom@gmail.com>  Wed, 04 Oct 2023 20:43:30 +0900

## open5gs 2.7.0

=== debian/changelog ===
open5gs (2.7.0) unstable; urgency=medium

  * 5G Roaming with SEPP

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 04 Dec 2023 21:10:30 +0900

open5gs (2.7.0~lunar) lunar; urgency=medium

  * 5G Roaming with SEPP

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 04 Dec 2023 21:08:42 +0900

open5gs (2.7.0~jammy) jammy; urgency=medium

  * 5G Roaming with SEPP

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 04 Dec 2023 21:06:57 +0900

open5gs (2.7.0~focal) focal; urgency=medium

  * 5G Roaming with SEPP

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 04 Dec 2023 21:05:10 +0900

open5gs (2.7.0~bionic) bionic; urgency=medium

  * 5G Roaming with SEPP

 -- Sukchan Lee <acetcom@gmail.com>  Mon, 04 Dec 2023 21:02:40 +0900

=== debian/control ===
Source: open5gs
Section: net
Priority: optional
Maintainer: Harald Welte <laforge@gnumonks.org>
Uploaders: Sukchan Lee <acetcom@gmail.com>
Build-Depends: debhelper (>= 11),
               git,
               pkg-config,
               meson (>= 0.43.0),
               cmake,
               flex,
               bison,
               libgnutls28-dev,
               libgcrypt-dev,
               libssl-dev,
               libidn11-dev,
               libmongoc-dev,
               libbson-dev,
               libsctp-dev,
               libyaml-dev,
               libmicrohttpd-dev,
               libcurl4-gnutls-dev,
               libnghttp2-dev,
               libtins-dev,
               libtalloc-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://open5gs.org
Vcs-Browser: https://github.com/open5gs/open5gs
Vcs-Git: git://github.com/open5gs/open5gs

Package: open5gs-common
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: 5G Core and EPC (Shared Files)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package contains some core libraries/plugins required by the other
 binary packages such as open5gs-{mme,sgwc,sgwu,amf,smf,upf,...}.

Package: open5gs-mme
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: MME (Mobility Management Entity)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the MME (Mobility Management Engine), which
 terminates the S1 interfaces from the eNodeBs cells in the cellular
 network, and interfaces via S11 to the SGW-C as well as via S6a to the
 HSS.

Package: open5gs-sgwc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SGW-C (Serving Gateway - Control Plane)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SGW-C (Serving Gateway - Control Plane)
 which is situated between the MME and PGW. It implements the S11 interface
 to the MME, and the S5 interface to the SMF-C.

Package: open5gs-smf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SMF (Session Management Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SMF (Session Management Function)

Package: open5gs-amf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: AMF (Access and Mobility Management Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the AMF (Access and Mobility Management Function)

Package: open5gs-sgwu
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SGW-U (Serving Gateway - User Plane)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SGW-U (Serving Gateway - User Plane)
 which is situated between the eNB and UPF. It implements the S1U interface
 to the eNB, and the S5U interface to the SMF-U.

Package: open5gs-upf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         udev,
         open5gs-common (= ${binary:Version})
Description: UPF (User Plane Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the UPF (User Plane Function)

Package: open5gs-hss
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mongodb-org | mongodb,
         open5gs-common (= ${binary:Version})
Description: HSS (Home Subscriber Server)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the HSS (Home Subscriber Server) element of the
 EPC, i.e. the central database of mobile network subscribers, with
 their IMSI, MSISDN, cryptographic key materials, service subscription
 information, etc.  It implements the S6a interface towards the MME
 using the DIAMETER protocol.

Package: open5gs-pcrf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mongodb-org | mongodb,
         open5gs-common (= ${binary:Version})
Description: PCRF (Policy and Charging Rules Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package contains the PCRF (Policy and Charging Rules Function),
 which controls the service quality (QoS) of individual connections and
 how to account/charge related traffic.  It implements the Gx interface
 towards the SMF-C using the DIAMETER protocol.

Package: open5gs-nrf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: NRF (Network Repository Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the NRF (Network Repository Function)

Package: open5gs-scp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SCP (Network Repository Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SCP (Service Communication Proxy)

Package: open5gs-sepp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: SEPP (Security Edge Protection Proxy)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the SEPP (Security Edge Protection Proxy)

Package: open5gs-ausf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: AUSF (Authentication Server Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the AUSF (Authentication Server Function)

Package: open5gs-udm
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: UDM (Unified Data Management)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the UDM (Unified Data Managemement)

Package: open5gs-pcf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: PCF (Policy Control Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the PCF (Policy Control Function)

Package: open5gs-nssf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: NSSF (Network Slice Selection Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the NSSF (Network Slice Selection Function)

Package: open5gs-bsf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: BSF (Binding Support Function)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the BSF (Binding Support Function)

Package: open5gs-udr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         open5gs-common (= ${binary:Version})
Description: UDR (Unified Data Repository)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package provides the UDR (Unified Data Repository)

Package: open5gs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         open5gs-common (= ${binary:Version}),
         open5gs-mme (= ${binary:Version}),
         open5gs-sgwc (= ${binary:Version}),
         open5gs-smf (= ${binary:Version}),
         open5gs-amf (= ${binary:Version}),
         open5gs-sgwu (= ${binary:Version}),
         open5gs-upf (= ${binary:Version}),
         open5gs-hss (= ${binary:Version}),
         open5gs-pcrf (= ${binary:Version}),
         open5gs-nrf (= ${binary:Version}),
         open5gs-scp (= ${binary:Version}),
         open5gs-ausf (= ${binary:Version}),
         open5gs-udm (= ${binary:Version}),
         open5gs-pcf (= ${binary:Version}),
         open5gs-nssf (= ${binary:Version}),
         open5gs-bsf (= ${binary:Version}),
         open5gs-udr (= ${binary:Version})
Description: 5G Core and EPC (metapackage)
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This is a metapackage that depends on all the open5gs parts.

Package: open5gs-dbg
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         open5gs (= ${binary:Version})
Description: Debug symbols for Open5GS
 Open5GS is a C-language implementation of 5G Core and EPC
 Packet Core, i.e. the core network of an NR/LTE network (Release-17)
 .
 This package contains debug symbols for Open5GS.

## open5gs 2.7.0.8.8c01f.202312152026

=== debian/changelog ===
open5gs (2.7.0.8.8c01f.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:27:37 +0000

## open5gs 2.7.0.11.4eb4.202312182026

=== debian/changelog ===
open5gs (2.7.0.11.4eb4.202312182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 18 Dec 2023 20:27:35 +0000

## open5gs 2.7.0.23.ea77.202312222026

=== debian/changelog ===
open5gs (2.7.0.23.ea77.202312222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 22 Dec 2023 20:27:30 +0000

## open5gs 2.7.0.26.6cb20.202312242026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 24 Dec 2023 20:27:31 +0000

## open5gs 2.7.0.26.6cb20.202312252026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 25 Dec 2023 20:27:29 +0000

## open5gs 2.7.0.26.6cb20.202312262026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 26 Dec 2023 20:27:34 +0000

## open5gs 2.7.0.26.6cb20.202312272026

=== debian/changelog ===
open5gs (2.7.0.26.6cb20.202312272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 27 Dec 2023 20:27:32 +0000

## open5gs 2.7.0.27.5d264.202312282026

=== debian/changelog ===
open5gs (2.7.0.27.5d264.202312282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 28 Dec 2023 20:27:33 +0000

## open5gs 2.7.0.28.0b93.202312292026

=== debian/changelog ===
open5gs (2.7.0.28.0b93.202312292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 29 Dec 2023 20:27:33 +0000

## open5gs 2.7.0.28.0b93.202312302026

=== debian/changelog ===
open5gs (2.7.0.28.0b93.202312302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 30 Dec 2023 20:27:29 +0000

## open5gs 2.7.0.29.f0de3.202312312026

=== debian/changelog ===
open5gs (2.7.0.29.f0de3.202312312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 31 Dec 2023 20:27:35 +0000

## open5gs 2.7.0.29.f0de3.202401012026

=== debian/changelog ===
open5gs (2.7.0.29.f0de3.202401012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 01 Jan 2024 20:27:32 +0000

## open5gs 2.7.0.30.7d9f6.202401022026

=== debian/changelog ===
open5gs (2.7.0.30.7d9f6.202401022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 02 Jan 2024 20:27:31 +0000

## open5gs 2.7.0.34.ad21.202401032026

=== debian/changelog ===
open5gs (2.7.0.34.ad21.202401032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 03 Jan 2024 20:27:32 +0000

## open5gs 2.7.0.36.27d2f8.202401042026

=== debian/changelog ===
open5gs (2.7.0.36.27d2f8.202401042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 04 Jan 2024 20:27:30 +0000

## open5gs 2.7.0.38.b1515.202401052026

=== debian/changelog ===
open5gs (2.7.0.38.b1515.202401052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 05 Jan 2024 20:27:31 +0000

## open5gs 2.7.0.43.7d60b13.202401062026

=== debian/changelog ===
open5gs (2.7.0.43.7d60b13.202401062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 06 Jan 2024 20:27:31 +0000

## open5gs 2.7.0.43.7d60b13.202401072026

=== debian/changelog ===
open5gs (2.7.0.43.7d60b13.202401072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 07 Jan 2024 20:27:33 +0000

## open5gs 2.7.0.43.7d60b13.202401082026

=== debian/changelog ===
open5gs (2.7.0.43.7d60b13.202401082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 08 Jan 2024 20:27:31 +0000

## open5gs 2.7.0.47.be13.202401092026

=== debian/changelog ===
open5gs (2.7.0.47.be13.202401092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 09 Jan 2024 20:27:32 +0000

## open5gs 2.7.0.50.84569c.202401102026

=== debian/changelog ===
open5gs (2.7.0.50.84569c.202401102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 10 Jan 2024 20:27:34 +0000

## open5gs 2.7.0.50.84569c.202401112026

=== debian/changelog ===
open5gs (2.7.0.50.84569c.202401112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 11 Jan 2024 20:27:37 +0000

## open5gs 2.7.0.53.b0cf9.202401142026

=== debian/changelog ===
open5gs (2.7.0.53.b0cf9.202401142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 14 Jan 2024 20:27:31 +0000

## open5gs 2.7.0.53.b0cf9.202401152026

=== debian/changelog ===
open5gs (2.7.0.53.b0cf9.202401152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 15 Jan 2024 20:27:33 +0000

## open5gs 2.7.0.57.52be.202401162026

=== debian/changelog ===
open5gs (2.7.0.57.52be.202401162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 16 Jan 2024 20:27:30 +0000

## open5gs 2.7.0.59.6069.202401172026

=== debian/changelog ===
open5gs (2.7.0.59.6069.202401172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 17 Jan 2024 20:27:39 +0000

## open5gs 2.7.0.59.6069.202401182026

=== debian/changelog ===
open5gs (2.7.0.59.6069.202401182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 18 Jan 2024 20:27:25 +0000

## open5gs 2.7.0.60.97e1b.202401192026

=== debian/changelog ===
open5gs (2.7.0.60.97e1b.202401192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 19 Jan 2024 20:27:37 +0000

## open5gs 2.7.0.61.d7b89.202401202026

=== debian/changelog ===
open5gs (2.7.0.61.d7b89.202401202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 20 Jan 2024 20:27:35 +0000

## open5gs 2.7.0.63.2583f.202401212026

=== debian/changelog ===
open5gs (2.7.0.63.2583f.202401212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 21 Jan 2024 20:27:35 +0000

## open5gs 2.7.0.66.dcdfc.202401222026

=== debian/changelog ===
open5gs (2.7.0.66.dcdfc.202401222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 22 Jan 2024 20:27:30 +0000

## open5gs 2.7.0.66.dcdfc.202401232026

=== debian/changelog ===
open5gs (2.7.0.66.dcdfc.202401232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 23 Jan 2024 20:27:31 +0000

## open5gs 2.7.0.66.dcdfc.202401242026

=== debian/changelog ===
open5gs (2.7.0.66.dcdfc.202401242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 24 Jan 2024 20:27:40 +0000

## open5gs 2.7.0.70.3886.202401252026

=== debian/changelog ===
open5gs (2.7.0.70.3886.202401252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 25 Jan 2024 20:27:32 +0000

## open5gs 2.7.0.70.3886.202401262026

=== debian/changelog ===
open5gs (2.7.0.70.3886.202401262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 26 Jan 2024 20:27:37 +0000

## open5gs 2.7.0.74.88a7.202401272026

=== debian/changelog ===
open5gs (2.7.0.74.88a7.202401272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 27 Jan 2024 20:27:33 +0000

## open5gs 2.7.0.74.88a7.202401282026

=== debian/changelog ===
open5gs (2.7.0.74.88a7.202401282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 28 Jan 2024 20:27:34 +0000

## open5gs 2.7.0.74.88a7.202401292026

=== debian/changelog ===
open5gs (2.7.0.74.88a7.202401292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 29 Jan 2024 20:28:06 +0000

## open5gs 2.7.0.75.93110d.202401302026

=== debian/changelog ===
open5gs (2.7.0.75.93110d.202401302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 30 Jan 2024 20:27:38 +0000

## open5gs 2.7.0.75.93110d.202401312026

=== debian/changelog ===
open5gs (2.7.0.75.93110d.202401312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 31 Jan 2024 20:27:35 +0000

## open5gs 2.7.0.75.93110d.202402012026

=== debian/changelog ===
open5gs (2.7.0.75.93110d.202402012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 01 Feb 2024 20:27:31 +0000

## open5gs 2.7.0.76.3f097.202402022026

=== debian/changelog ===
open5gs (2.7.0.76.3f097.202402022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 02 Feb 2024 20:27:38 +0000

## open5gs 2.7.0.81.8762.202402032026

=== debian/changelog ===
open5gs (2.7.0.81.8762.202402032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 03 Feb 2024 20:27:34 +0000

## open5gs 2.7.0.82.82398.202402042026

=== debian/changelog ===
open5gs (2.7.0.82.82398.202402042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 04 Feb 2024 20:27:35 +0000

## open5gs 2.7.0.83.290df.202402052026

=== debian/changelog ===
open5gs (2.7.0.83.290df.202402052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 05 Feb 2024 20:27:36 +0000

## open5gs 2.7.0.83.290df.202402062026

=== debian/changelog ===
open5gs (2.7.0.83.290df.202402062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 06 Feb 2024 20:27:33 +0000

## open5gs 2.7.0.83.290df.202402072026

=== debian/changelog ===
open5gs (2.7.0.83.290df.202402072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 07 Feb 2024 20:27:34 +0000

## open5gs 2.7.0.84.94bd6.202402082026

=== debian/changelog ===
open5gs (2.7.0.84.94bd6.202402082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 08 Feb 2024 20:27:35 +0000

## open5gs 2.7.0.84.94bd6.202402092026

=== debian/changelog ===
open5gs (2.7.0.84.94bd6.202402092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 09 Feb 2024 20:27:31 +0000

## open5gs 2.7.0.84.94bd6.202402102026

=== debian/changelog ===
open5gs (2.7.0.84.94bd6.202402102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 10 Feb 2024 20:27:30 +0000

## open5gs 2.7.0.84.94bd6.202402112026

=== debian/changelog ===
open5gs (2.7.0.84.94bd6.202402112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 11 Feb 2024 20:27:34 +0000

## open5gs 2.7.0.85.843c49.202402122026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 12 Feb 2024 20:27:33 +0000

## open5gs 2.7.0.85.843c49.202402132026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 13 Feb 2024 20:27:36 +0000

## open5gs 2.7.0.85.843c49.202402142026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 14 Feb 2024 20:27:32 +0000

## open5gs 2.7.0.85.843c49.202402152026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 15 Feb 2024 20:27:34 +0000

## open5gs 2.7.0.85.843c49.202402162026

=== debian/changelog ===
open5gs (2.7.0.85.843c49.202402162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 16 Feb 2024 20:27:37 +0000

## open5gs 2.7.0.86.41d89.202402172026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 17 Feb 2024 20:27:36 +0000

## open5gs 2.7.0.86.41d89.202402182026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 18 Feb 2024 20:27:33 +0000

## open5gs 2.7.0.86.41d89.202402192026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 19 Feb 2024 20:27:38 +0000

## open5gs 2.7.0.86.41d89.202402202026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 20 Feb 2024 20:27:43 +0000

## open5gs 2.7.0.86.41d89.202402212026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 21 Feb 2024 20:27:35 +0000

## open5gs 2.7.0.86.41d89.202402222026

=== debian/changelog ===
open5gs (2.7.0.86.41d89.202402222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 22 Feb 2024 20:27:38 +0000

## open5gs 2.7.0.87.9a51.202402232026

=== debian/changelog ===
open5gs (2.7.0.87.9a51.202402232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 23 Feb 2024 20:27:38 +0000

## open5gs 2.7.0.87.9a51.202402242026

=== subprojects/libtins/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.1)
PROJECT(libtins)

OPTION(LIBTINS_BUILD_EXAMPLES "Build examples" ON)
OPTION(LIBTINS_BUILD_TESTS "Build tests" ON)

# Compile in release mode by default
IF(NOT CMAKE_BUILD_TYPE)
    MESSAGE(STATUS "Setting build type to 'RelWithDebInfo' as none was specified.")
    SET(CMAKE_BUILD_TYPE RelWithDebInfo)
ELSE(NOT CMAKE_BUILD_TYPE)
    MESSAGE(STATUS "Using specified '${CMAKE_BUILD_TYPE}' build type.")
ENDIF(NOT CMAKE_BUILD_TYPE)

# Compilation flags.
IF(MSVC)
    # Don't always use Wall, since VC's /Wall is ridiculously verbose.
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3")
    # Disable VC secure checks, since these are not really issues.
    ADD_DEFINITIONS("-D_CRT_SECURE_NO_WARNINGS=1")
    ADD_DEFINITIONS("-D_SCL_SECURE_NO_WARNINGS=1")
    ADD_DEFINITIONS("-DNOGDI=1")
ELSE()
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
ENDIF()

IF(APPLE)
    # This is set to ON as of policy CMP0042
    SET(CMAKE_MACOSX_RPATH ON)
ENDIF()

# Build output checks
OPTION(LIBTINS_BUILD_SHARED "Build libtins as a shared library." ON)
IF(LIBTINS_BUILD_SHARED)
    MESSAGE(
        STATUS
        "Build will generate a shared library. "
        "Use LIBTINS_BUILD_SHARED=0 to perform a static build"
    )
    SET(LIBTINS_TYPE SHARED)
ELSE(LIBTINS_BUILD_SHARED)
    MESSAGE(STATUS "Build will generate a static library.")
    SET(LIBTINS_TYPE STATIC)
    ADD_DEFINITIONS("-DTINS_STATIC=1")
ENDIF(LIBTINS_BUILD_SHARED)

# The version number.
SET(TINS_VERSION_MAJOR 4)
SET(TINS_VERSION_MINOR 3)
SET(TINS_VERSION_PATCH 0)
SET(LIBTINS_VERSION "${TINS_VERSION_MAJOR}.${TINS_VERSION_MINOR}")

# Required Packages
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")

# Allow disabling packet capture mechanism
OPTION(LIBTINS_ENABLE_PCAP "Enable capturing packets via libpcap" ON)

# Look for libpcap
IF(LIBTINS_ENABLE_PCAP)
    FIND_PACKAGE(PCAP REQUIRED)
    SET(TINS_HAVE_PCAP ON)
ENDIF()

# Set some Windows specific flags
IF(WIN32)
    # We need to link against these libs
    SET(LIBTINS_OS_LIBS Ws2_32.lib Iphlpapi.lib)

    # Add the NOMINMAX macro to avoid Windows' min and max macros.
    ADD_DEFINITIONS(-DNOMINMAX)

    # MinWG need some extra definitions to compile properly (WIN32 for PCAP and WIN32_WINNT version for ws2tcpip.h)
    IF(MINGW)
        ADD_DEFINITIONS(-DWIN32)
        MACRO(get_WIN32_WINNT version)
        IF (WIN32 AND CMAKE_SYSTEM_VERSION)
            SET(ver ${CMAKE_SYSTEM_VERSION})
            STRING(REPLACE "." "" ver ${ver})
            STRING(REGEX REPLACE "([0-9])" "0\\1" ver ${ver})
            SET(${version} "0x${ver}")
        ENDIF()
        ENDMACRO()
        get_WIN32_WINNT(ver)
        ADD_DEFINITIONS(-D_WIN32_WINNT=${ver})
    ENDIF(MINGW)

ENDIF(WIN32)

INCLUDE(ExternalProject)

# *******************
# Compilation options
# *******************

# Always check for C++ features
INCLUDE(CheckCXXFeatures)

IF(HAS_GCC_BUILTIN_SWAP)
    SET(TINS_HAVE_GCC_BUILTIN_SWAP ON)
ENDIF()

# C++11 support
OPTION(LIBTINS_ENABLE_CXX11 "Compile libtins with c++11 features" ON)
IF(LIBTINS_ENABLE_CXX11)
    # We only use declval and decltype on gcc/clang as VC fails to build that code,
    # at least on VC2013
    IF(HAS_CXX11_RVALUE_REFERENCES AND HAS_CXX11_FUNCTIONAL AND HAS_CXX11_CHRONO AND
       HAS_CXX11_NOEXCEPT AND ((HAS_CXX11_DECLVAL AND HAS_CXX11_DECLTYPE) OR MSVC))
        SET(TINS_HAVE_CXX11 ON)
        MESSAGE(STATUS "Enabling C++11 features")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_COMPILER_FLAGS}")
    ELSE()
        MESSAGE(WARNING "The compiler doesn't support the necessary C++11 features. "
                        "Disabling C++11 on this build")
    ENDIF()
ELSE(LIBTINS_ENABLE_CXX11)
    MESSAGE(
        WARNING
        "Disabling C++11 features. Use LIBTINS_ENABLE_CXX11=1 to enable them. "
        "Unless you are using an old compiler, you should enable this option, "
        "as it increases the library's performance")
ENDIF(LIBTINS_ENABLE_CXX11)

# IEEE 802.11 and WPA2 decryption support
OPTION(LIBTINS_ENABLE_DOT11 "Compile libtins with IEEE 802.11 support" ON)
OPTION(LIBTINS_ENABLE_WPA2 "Compile libtins with WPA2 decryption features (requires OpenSSL)" ON)
IF(LIBTINS_ENABLE_DOT11)
    SET(TINS_HAVE_DOT11 ON)
    MESSAGE(STATUS "Enabling IEEE 802.11 support.")
    IF(LIBTINS_ENABLE_WPA2)
        FIND_PACKAGE(OpenSSL)
        IF(OPENSSL_FOUND)
            SET(TINS_HAVE_WPA2_DECRYPTION ON)
            MESSAGE(STATUS "Enabling WPA2 decryption support.")
        ELSE()
            MESSAGE(WARNING "Disabling WPA2 decryption support since OpenSSL was not found")
            # Default this to empty strings
            SET(OPENSSL_INCLUDE_DIR "")
            SET(OPENSSL_LIBRARIES "")
        ENDIF()
    ELSE(LIBTINS_ENABLE_WPA2)
        MESSAGE(STATUS "Disabling WPA2 decryption support.")
    ENDIF(LIBTINS_ENABLE_WPA2)
ENDIF(LIBTINS_ENABLE_DOT11)

# Optionally enable TCPIP classes (on by default)
OPTION(LIBTINS_ENABLE_TCPIP "Enable TCPIP classes" ON)
IF(LIBTINS_ENABLE_TCPIP AND TINS_HAVE_CXX11)
    SET(TINS_HAVE_TCPIP ON)
    MESSAGE(STATUS "Enabling TCPIP classes")
ELSE()
    SET(TINS_HAVE_TCPIP OFF)
    MESSAGE(STATUS "Disabling TCPIP classes")
ENDIF()

# Search for libboost
FIND_PACKAGE(Boost)

# Optionally enable the ACK tracker (on by default)
OPTION(LIBTINS_ENABLE_ACK_TRACKER "Enable TCP ACK tracking support" ON)
IF(LIBTINS_ENABLE_ACK_TRACKER AND TINS_HAVE_CXX11)
    IF (Boost_FOUND)
        MESSAGE(STATUS "Enabling TCP ACK tracking support.")
        INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
        SET(TINS_HAVE_ACK_TRACKER ON)
    ELSE()
        MESSAGE(WARNING "Disabling ACK tracking support as boost.icl was not found")
        SET(TINS_HAVE_ACK_TRACKER OFF)
    ENDIF()
ELSE()
    SET(TINS_HAVE_ACK_TRACKER OFF)
    MESSAGE(STATUS "Disabling ACK tracking support")
ENDIF()

# Optionally enable the TCP stream custom data (on by default)
OPTION(LIBTINS_ENABLE_TCP_STREAM_CUSTOM_DATA "Enable TCP stream custom data support" ON)
IF(LIBTINS_ENABLE_TCP_STREAM_CUSTOM_DATA AND TINS_HAVE_CXX11)
    IF (Boost_FOUND)
        MESSAGE(STATUS "Enabling TCP stream custom data support.")
        INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
        SET(TINS_HAVE_TCP_STREAM_CUSTOM_DATA ON)
    ELSE()
        MESSAGE(WARNING "Disabling TCP stream custom data support as boost.any was not found")
        SET(TINS_HAVE_TCP_STREAM_CUSTOM_DATA OFF)
    ENDIF()
ELSE()
    SET(TINS_HAVE_TCP_STREAM_CUSTOM_DATA OFF)
    MESSAGE(STATUS "Disabling TCP stream custom data support")
ENDIF()

OPTION(LIBTINS_ENABLE_WPA2_CALLBACKS "Enable WPA2 callback interface" ON)
IF(LIBTINS_ENABLE_WPA2_CALLBACKS AND TINS_HAVE_WPA2_DECRYPTION AND TINS_HAVE_CXX11)
    SET(STATUS "Enabling WPA2 callback interface")
    SET(TINS_HAVE_WPA2_CALLBACKS ON)
ENDIF()

# Use pcap_sendpacket to send l2 packets rather than raw sockets
IF(WIN32)
    SET(USE_PCAP_SENDPACKET_DEFAULT ON)
ELSE(WIN32)
    SET(USE_PCAP_SENDPACKET_DEFAULT OFF)
ENDIF(WIN32)

OPTION(LIBTINS_USE_PCAP_SENDPACKET "Use pcap_sendpacket to send l2 packets"
        ${USE_PCAP_SENDPACKET_DEFAULT})
IF(LIBTINS_ENABLE_PCAP AND LIBTINS_USE_PCAP_SENDPACKET)
    SET(TINS_HAVE_PACKET_SENDER_PCAP_SENDPACKET ON)
    MESSAGE(STATUS "Using pcap_sendpacket to send l2 packets.")
ENDIF()

# Add a target to generate API documentation using Doxygen
FIND_PACKAGE(Doxygen QUIET)
IF(DOXYGEN_FOUND)
    CONFIGURE_FILE(
        ${CMAKE_CURRENT_SOURCE_DIR}/docs/Doxyfile.in
        ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        @ONLY
    )
    ADD_CUSTOM_TARGET(
        docs
        ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
ENDIF(DOXYGEN_FOUND)

# Configuration file
CONFIGURE_FILE(
  "${PROJECT_SOURCE_DIR}/include/tins/config.h.in"
  "${PROJECT_SOURCE_DIR}/include/tins/config.h"
)

IF (NOT CMAKE_INSTALL_LIBDIR)
    SET(CMAKE_INSTALL_LIBDIR lib)
ENDIF()
IF (NOT CMAKE_INSTALL_BINDIR)
    SET(CMAKE_INSTALL_BINDIR bin)
ENDIF()
# The library output directory
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
# Support for pkg-config
SET(pkgconfig_prefix      ${CMAKE_INSTALL_PREFIX})
SET(pkgconfig_exec_prefix ${CMAKE_INSTALL_PREFIX})
SET(pkgconfig_libdir      ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
SET(pkgconfig_version     ${LIBTINS_VERSION})
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/libtins.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/libtins.pc @ONLY)

INSTALL(
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libtins.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

# Confiugure the uninstall script
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)

# Add uninstall target
ADD_CUSTOM_TARGET(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# ******************
# Add subdirectories
# ******************
ADD_SUBDIRECTORY(src)

IF(LIBTINS_BUILD_EXAMPLES)
    IF(LIBTINS_ENABLE_PCAP)
        ADD_SUBDIRECTORY(examples)
    ELSE()
        MESSAGE(STATUS "Not building examples as pcap support is disabled")
    ENDIF()
ENDIF()

IF(LIBTINS_BUILD_TESTS)
    # Only include googletest if the git submodule has been fetched
    IF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/googletest/CMakeLists.txt")
        # Enable tests and add the test directory
        MESSAGE(STATUS "Tests have been enabled")
        SET(GOOGLETEST_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/googletest)
        SET(GOOGLETEST_INCLUDE ${GOOGLETEST_ROOT}/googletest/include)
        SET(GOOGLETEST_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/googletest)
        SET(GOOGLETEST_LIBRARY ${GOOGLETEST_BINARY_DIR}/googletest)

        ExternalProject_Add(
            googletest
            DOWNLOAD_COMMAND ""
            SOURCE_DIR ${GOOGLETEST_ROOT}
            BINARY_DIR ${GOOGLETEST_BINARY_DIR}
            CMAKE_CACHE_ARGS "-DBUILD_GTEST:bool=ON" "-DBUILD_GMOCK:bool=OFF"
                            "-Dgtest_force_shared_crt:bool=ON"
                            "-DCMAKE_CXX_COMPILER:path=${CMAKE_CXX_COMPILER}"
            INSTALL_COMMAND ""
        )
        # Make sure we build googletest before anything else
        ADD_DEPENDENCIES(tins googletest)
        ENABLE_TESTING()
        ADD_SUBDIRECTORY(tests)
    ELSE()
        MESSAGE(STATUS "googletest git submodule is absent. Run `git submodule init && git submodule update` to get it")
    ENDIF()
ENDIF()

# **********************************
# CMake project configuration export
# **********************************

if(UNIX)
    set(CONF_CMAKE_INSTALL_DIR lib/cmake/libtins)
else()
    set(CONF_CMAKE_INSTALL_DIR CMake)
endif()

# Add all targets to the build-tree export set
EXPORT(
    TARGETS tins
    FILE "${PROJECT_BINARY_DIR}/libtinsTargets.cmake"
)

# Export the package for use from the build-tree
# (this registers the build-tree with a global CMake-registry)
EXPORT(PACKAGE libtins)

# Create the libtinsConfig.cmake and libtinsConfigVersion.cmake files
# for the build tree
SET(CONF_INCLUDE_DIRS "${PROJECT_SOURCE_DIR}/include")
CONFIGURE_FILE(
    cmake/libtinsConfig.cmake.in
    "${PROJECT_BINARY_DIR}/libtinsConfig.cmake" @ONLY
)
CONFIGURE_FILE(
    cmake/libtinsConfigVersion.cmake.in
    "${PROJECT_BINARY_DIR}/libtinsConfigVersion.cmake" @ONLY
)
# Install the libtinsConfig.cmake and libtinsConfigVersion.cmake
INSTALL(
    FILES
    "${PROJECT_BINARY_DIR}/libtinsConfig.cmake"
    "${PROJECT_BINARY_DIR}/libtinsConfigVersion.cmake"
    DESTINATION ${CONF_CMAKE_INSTALL_DIR}
    COMPONENT dev
)

# Install the export set for use with the install-tree
INSTALL(
    EXPORT libtinsTargets
    DESTINATION ${CONF_CMAKE_INSTALL_DIR}
    COMPONENT dev
)

=== debian/changelog ===
open5gs (2.7.0.87.9a51.202402242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 24 Feb 2024 20:27:34 +0000

## open5gs 2.7.0.87.9a51.202402252026

=== debian/changelog ===
open5gs (2.7.0.87.9a51.202402252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 25 Feb 2024 20:27:38 +0000

## open5gs 2.7.0.87.9a51.202402262026

=== debian/changelog ===
open5gs (2.7.0.87.9a51.202402262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 26 Feb 2024 20:27:37 +0000

## open5gs 2.7.0.88.0dd2a.202402272026

=== debian/changelog ===
open5gs (2.7.0.88.0dd2a.202402272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 27 Feb 2024 20:27:35 +0000

## open5gs 2.7.0.92.24b9.202402282026

=== debian/changelog ===
open5gs (2.7.0.92.24b9.202402282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 28 Feb 2024 20:27:35 +0000

## open5gs 2.7.0.93.2ceca.202402292026

=== debian/changelog ===
open5gs (2.7.0.93.2ceca.202402292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 29 Feb 2024 20:27:32 +0000

## open5gs 2.7.0.93.2ceca.202403012026

=== debian/changelog ===
open5gs (2.7.0.93.2ceca.202403012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 01 Mar 2024 20:27:35 +0000

## open5gs 2.7.0.94.152b4.202403022026

=== debian/changelog ===
open5gs (2.7.0.94.152b4.202403022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 02 Mar 2024 20:27:35 +0000

## open5gs 2.7.0.94.152b4.202403032026

=== debian/changelog ===
open5gs (2.7.0.94.152b4.202403032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 03 Mar 2024 20:27:37 +0000

## open5gs 2.7.0.95.199f4.202403042026

=== debian/changelog ===
open5gs (2.7.0.95.199f4.202403042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 04 Mar 2024 20:27:39 +0000

## open5gs 2.7.0.95.199f4.202403052026

=== debian/changelog ===
open5gs (2.7.0.95.199f4.202403052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 05 Mar 2024 20:27:40 +0000

## open5gs 2.7.0.96.32271.202403062026

=== debian/changelog ===
open5gs (2.7.0.96.32271.202403062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 06 Mar 2024 20:27:34 +0000

## open5gs 2.7.0.96.32271.202403072026

=== debian/changelog ===
open5gs (2.7.0.96.32271.202403072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 07 Mar 2024 20:27:57 +0000

## open5gs 2.7.0.99.b31f.202403082026

=== debian/changelog ===
open5gs (2.7.0.99.b31f.202403082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 08 Mar 2024 20:27:35 +0000

## open5gs 2.7.0.100.a1bd8.202403092026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 09 Mar 2024 20:27:34 +0000

## open5gs 2.7.0.100.a1bd8.202403102026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 10 Mar 2024 20:27:36 +0000

## open5gs 2.7.0.100.a1bd8.202403112026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 11 Mar 2024 20:27:33 +0000

## open5gs 2.7.0.100.a1bd8.202403122026

=== debian/changelog ===
open5gs (2.7.0.100.a1bd8.202403122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 12 Mar 2024 20:27:35 +0000
